Bug 241475 - Review Request: ocaml-ulex - OCaml lexer generator for Unicode
Summary: Review Request: ocaml-ulex - OCaml lexer generator for Unicode
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On: 240557
Blocks: 241476 241487
TreeView+ depends on / blocked
 
Reported: 2007-05-26 12:15 UTC by Richard W.M. Jones
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-25 20:57:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lxtnow: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Richard W.M. Jones 2007-05-26 12:15:31 UTC
Spec URL: http://annexia.org/tmp/ocaml-ulex.spec
SRPM URL: http://annexia.org/tmp/ocaml-ulex-0.8-1.src.rpm
Description: ocaml-ulex is a lexer generator for Unicode.  See:
 http://www.cduce.org/download.html

Comment 1 Xavier Lamien 2007-06-08 03:45:52 UTC
Starting review...

Comment 2 Xavier Lamien 2007-06-09 23:47:32 UTC
Added bug dependency #240557

Review is suspend

Comment 3 Richard W.M. Jones 2007-06-11 19:44:35 UTC
Spec URL: http://annexia.org/tmp/ocaml/ocaml-ssl.spec
SRPM URL: http://annexia.org/tmp/ocaml/ocaml-ssl-0.4.2-2.src.rpm

Updated to latest OCaml packaging guidelines.
Built against OCaml 3.10.
Tested against bytecode-only architectures.

Comment 4 Richard W.M. Jones 2007-06-11 19:45:25 UTC
Spec URL: http://annexia.org/tmp/ocaml/ocaml-ulex.spec
SRPM URL: http://annexia.org/tmp/ocaml/ocaml-ulex-1.0-1.src.rpm

Updated to latest OCaml packaging guidelines.
Built against OCaml 3.10.
Tested against bytecode-only architectures.

Comment 5 Richard W.M. Jones 2007-06-11 19:46:55 UTC
(Please ignore comment 3 - copy and paste error).

Comment 6 Xavier Lamien 2007-07-17 00:04:36 UTC
Starting review...

Comment 7 Xavier Lamien 2007-07-17 01:56:01 UTC
Well,
The currently release 1.0-1 fails to build on:
 /usr/bin/ocamldep.opt -pp camlp4orf -modules pa_ulex.ml > pa_ulex.ml.depends

'cause the BR ocaml-camp4-devel is missing.
I fixed this issues and full reviewed with the release 1.0-2 which can be found
here : http://download.tuxfamily.org/lxtnow/extras/ocaml-ulex/

So, check them out and add a comment if no change happened from upstream or you.
and i'll approve it.


=== REQUIRED ITEMS ===

 [ OK ] Package successfully compiles and builds on at least one supported arch.
 [ OK ] Mock built on x86_64 [ F-Devel ]
 [ OK ] Package is named according to the Package Naming and Ocaml Guidelines.
 [ OK ] Spec file name match the packaging naming Ocaml guidelines.
 [ Ok ] Package meets the Packaging Guidelines.
 [ OK ] Package is not relocatable.
 [ OK ] Buildroot is correct
 [ OK ] Package is licensed with an open-source compatible license.
 [ OK ] License field in the package spec file matches the actual license.
     License type: GPL
 [ OK ] Spec file is legible and written in American English.
 [ OK ] Package is not known to require ExcludeArch.
 [ OK ] All build dependencies are listed in BuildRequires.
 [ OK ] The spec file handles locales properly.
 [ OK ] ldconfig called in %post and %postun if required.
 [ OK ] Package must own all directories that it creates.
 [ OK ] Package requires other packages for directories it uses.
 [ OK ] Package does not contain duplicates in %files.
 [ OK ] Permissions on files are set properly.
 [ OK ] Package has a %clean section.
 [ OK ] Package consistently uses macros.
 [ OK ] Package contains code, or permissable content.
 [ SKIP ] Large documentation files are in a -doc subpackage, if required.
 [ OK ] Package uses nothing in %doc for runtime.
 [ SKIP ] Header files in -devel subpackage, if present.
 [ SKIP ] Static libraries in -devel subpackage, if present.
 [ SKIP ] Package requires pkgconfig, if .pc files are present.
 [ SKIP ] Development .so files in -devel subpackage, if present.
 [ CHECK ] Fully versioned dependency in subpackages, if present.
 [ OK ] Package does not contain any libtool archives (.la).
 [ SKIP ] Package contains a properly installed %{name}.desktop file.
 [ OK ] Package does not own files or directories owned by other packages

According to OCaml Packaging Guideline:
 
 [ OK ] OCaml modules / libs should be named ocaml-foo.
 [ OK ] The spec file should still build bytecode libraries and binaries.
 [ OK ] Should Test if the native compiler is present.
 [ OK ] main package should contain files matching all files which mentioned in 
        OCaml guideline.
 [ OK ] -devel sub-package Should contains all files which're mentioned in OCaml
    
       guidelines.

 [ CHECK ] Requires:
ocaml(Arg) = 03e86a4154064ea900dc32c05f53e364 ocaml(Array) =
aa8e3cd5824f9bb40b93fcd38d0c95b5 ocaml(Buffer) =
f6cef633ea14963b84b79c4095c63dc3 ocaml(Camlp4) =
2e045826779ef15857e5824a007fea98 ocaml(Camlp4_config) =
cb716b4361f43326c6ad695c7a1bb5c0 ocaml(Char) = e98bc9c9e918a84b3c1a5a122d42fac1
ocaml(Format) = 35fe566f7a37d8991a5c822bd1463949 ocaml(Hashtbl) =
083f2c94b44ff4e0b3220aaea6a783b4 ocaml(Int32) = 711321870c949bd3bbdd092d9bae92e4
ocaml(Int64) = f8f7e2e4c0667ead94596040b12e732d ocaml(Lexing) =
b1793496643444d3762dd42bebe2cfe3 ocaml(List) = da1ce9168f0408ff26158af757456948
ocaml(Location) = eed044ad1204a633caad97bdd9048f8c ocaml(Longident) =
46fb8aad4fb2c12a0f301b02d8139f07 ocaml(Nativeint) =
e79cdc4d3575c2ed044955cb7ef49aca ocaml(Obj) = 5cfae708052c692ea39d23ed930fd64d
ocaml(Parsetree) = b59a1a6771867acd824bde52e6512b5c ocaml(Pervasives) =
8ba3d1faa24d659525c9025f41fd0c57 ocaml(Printf) =
5dbbf45a03b54e6dbfcf39178d0d6341 ocaml(Queue) = caa3a209bfc63d23a30f573541a88fec
ocaml(Set) = 7da14e671a035f12386ace3890018ef3 ocaml(Stream) =
21a833e12efd34ea0c87d8d9da959809 ocaml(String) =
2c162ab314b2f0a2cfd22d471b2e21ab ocaml(Warnings) =
abcb1589615da86f20f475b0ed3bbabc ocaml = 3.10.0-1.fc8


== Rpmlint output: ==

 [ Ok ] Silent on both main and -devel package.
 [ OK ] Silent on SRPM.



Comment 8 Xavier Lamien 2007-07-17 03:18:35 UTC
typo:
license type is LGPL

Comment 9 Xavier Lamien 2007-07-23 17:33:12 UTC
ping ?

Comment 10 Richard W.M. Jones 2007-07-25 11:09:22 UTC
I'm still around :-)  Very busy, but will look at this & ocaml-ssl (bug 241473)
soon.

Comment 11 Richard W.M. Jones 2007-07-25 14:44:01 UTC
New Package CVS Request
=======================
Package Name: ocaml-ulex
Short Description: OCaml lexer generator for Unicode
Owners: rjones@redhat.com
Branches: F-7
InitialCC: rjones@redhat.com,lxtnow@gmail.com

Comment 12 Xavier Lamien 2007-07-25 21:42:12 UTC
fixed fedora-review flag


Note You need to log in before you can comment on or make changes to this bug.